Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm running 64-bit Ubuntu 10.10, and I'm trying to make SRGP work. SRGP is an old graphics package that accompanies the book "Computer Graphics" by Foley, van Dam, et al.

I have installed libx11-dev, but I still can't get through make.

I get the error "cannot find -lsrgp" when I typed make PROG=show_pattern. Full compilation messages are here http://pastebin.com/CWuw4xte

What do I have to do to get it working?

share|improve this question
    
The problem isn't that it can't find it, but rather that it's incompatible. Here's the message: /usr/bin/ld: skipping incompatible ../lib/libsrgp.a when searching for -lsrgp The important thing is to figure why libsrgp.a was considered "incompatible". –  David Jun 3 '11 at 16:23
    
I'd check and make sure the architecture of the library is the right one. I'd also try and make most or all of the warnings go away. With old software, you may find it's not compatible with modern software build tools. –  David Jun 3 '11 at 16:27
    
Depending on how old it is, and how tied in with obsolete packages the source is, you might have better luck building it on a virtual machine running an older (and 32-bit) OS. –  Cylindric Jun 8 '11 at 14:40
add comment

closed as too localized by Bruno Pereira Apr 7 '12 at 17:57

This question is unlikely to help any future visitors; it is only relevant to a small geographic area, a specific moment in time, or an extraordinarily narrow situation that is not generally applicable to the worldwide audience of the internet. For help making this question more broadly applicable, visit the help center.If this question can be reworded to fit the rules in the help center, please edit the question.

Browse other questions tagged or ask your own question.